BEGIN VVARMY

IF ~~ armyStand
  SAY ~(Guard doesn't move, doing exactly what you say.)~
  IF ~~ THEN DO ~~ EXIT
END

IF ~Global("MadeGlobal","LOCALS",0)~ THEN BEGIN orderReceiveB
   SAY ~(Guardian turns to you.)~
   IF ~~ THEN DO ~SetGlobal("MadeGlobal","LOCALS",1)
MakeGlobal()~ GOTO orderReceive
END

IF ~Global("MadeGlobal","LOCALS",1)~ THEN BEGIN orderReceive
   SAY ~(Guardian of your castle looks at you, awaiting orders.)~
   IF ~~ THEN REPLY ~Stand here, my guardian.~  GOTO armyStand
   IF ~~ THEN REPLY ~Go to the entrance hall of castle!~  GOTO areaDSC011
   IF ~~ THEN REPLY ~Go to the first floor of tower!~  GOTO areaDSC012
   IF ~~ THEN REPLY ~Go to the second floor of tower!~  GOTO areaDSC013
   IF ~~ THEN REPLY ~Go to the third floor of tower!~  GOTO areaDSC014   
   IF ~!Race(Myself,VAMPIRE)~ THEN REPLY ~Go to the draw bridge outside!~  GOTO areaDSC010
   IF ~~ THEN REPLY ~Go to the basement of this hall!~  GOTO areaDSC015
   IF ~~ THEN REPLY ~Go to the underground level!~  GOTO areaDSC016  
  IF ~~ THEN REPLY ~Go to the tombs level!~  GOTO areaDSC017 
  IF ~~ THEN REPLY ~Go to the maze level!~  GOTO areaDSC018   
  IF ~~ THEN REPLY ~Go to the caves!~  GOTO areaDSC019       
END

IF ~~ areaDSC011
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC011",[854.666],N)
RandomWalk()~ EXIT
END

IF ~~ areaDSC012
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC012",[456.582],N)
RandomWalk()~ EXIT
END


IF ~~ areaDSC013
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC013",[728.654],N)
RandomWalk()~ EXIT
END


IF ~~ areaDSC014
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC014",[520.594],N)
RandomWalk()~ EXIT
END



IF ~~ areaDSC010
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC010",[2616.2358],N)
RandomWalk()~ EXIT
END








IF ~~ areaDSC015
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC015",[600.292],N)
RandomWalk()~ EXIT
END





IF ~~ areaDSC016
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC016",[3569.2243],N)
RandomWalk()~ EXIT
END





IF ~~ areaDSC017
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC017",[3929.1649],N)
RandomWalk()~ EXIT
END


IF ~~ areaDSC018
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC018",[1752.358],N)
RandomWalk()~ EXIT
END




IF ~~ areaDSC019
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("DSC019",[1028.1347],N)
RandomWalk()~ EXIT
END



